Irrlicht Engine: irr::scene::IParticleAffector Class Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::IParticleAffector Class Reference

A particle affector modifies particles. More...

`#include <IParticleAffector.h>`

Inheritance diagram for irr::scene::IParticleAffector:

List of all members.

## Public Member Functions
virtual void | affect (u32 now, SParticle *particlearray, u32 count)=0
| Affects an array of particles.
virtual bool | getEnabled () const
| Gets whether or not the affector is currently enabled.
virtual E_PARTICLE_AFFECTOR_TYPE | getType () const =0
| Get emitter type.
| IParticleAffector ()
| constructor
virtual void | setEnabled (bool enabled)
| Sets whether or not the affector is currently enabled.
## Protected Attributes
bool | Enabled

## Detailed Description

A particle affector modifies particles.

Definition at line 37 of file IParticleAffector.h.

## Constructor & Destructor Documentation

irr::scene::IParticleAffector::IParticleAffector | ( |  | ) | `[inline]`

constructor

Definition at line 42 of file IParticleAffector.h.

References affect(), Enabled, getEnabled(), getType(), and setEnabled().

## Member Function Documentation

virtual void irr::scene::IParticleAffector::affect | ( | u32 | now,
|  | SParticle * | particlearray,
|  | u32 | count |
| ) |  |  | `[pure virtual]`

Affects an array of particles.

Parameters:

  | now | Current time. (Same as ITimer::getTime() would return)
  | particlearray | Array of particles.
  | count | Amount of particles in array.

Referenced by IParticleAffector().

virtual bool irr::scene::IParticleAffector::getEnabled | ( |  | ) | const`[inline, virtual]`

Gets whether or not the affector is currently enabled.

Definition at line 54 of file IParticleAffector.h.

Referenced by IParticleAffector().

virtual E_PARTICLE_AFFECTOR_TYPE irr::scene::IParticleAffector::getType | ( |  | ) | const`[pure virtual]`

Get emitter type.

Implemented in irr::scene::IParticleAttractionAffector, irr::scene::IParticleFadeOutAffector, irr::scene::IParticleGravityAffector, and irr::scene::IParticleRotationAffector.

Referenced by IParticleAffector().

virtual void irr::scene::IParticleAffector::setEnabled | ( | bool | enabled | ) | `[inline, virtual]`

Sets whether or not the affector is currently enabled.

Definition at line 51 of file IParticleAffector.h.

Referenced by IParticleAffector().

## Member Data Documentation

bool irr::scene::IParticleAffector::Enabled`[protected]`

Definition at line 60 of file IParticleAffector.h.

Referenced by IParticleAffector().

The documentation for this class was generated from the following file:

- IParticleAffector.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:07 2010 by Doxygen (1.6.2)